curl --request GET \
--url https://api.aisa.one/apis/v1/polymarket/transaction \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/polymarket/transaction"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/polymarket/transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"transactionID": "0190b317-a1d3-7bec-9b91-eeb6dcd3a620",
"transactionHash": "0x38cbfbeae8fffa4e2b187ee5978d3ee9cafc53af0363ed90a35b7ea9016535d8",
"from": "0x6e0c80c90ea6c15917308f820eac91ce2724b5b5",
"to": "0x2791bca1f2de4661ed88a30c99a7a9449aa84174",
"proxyAddress": "0x6d8c4e9adf5748af82dabe2c6225207770d6b4fa",
"data": "0x...",
"nonce": "60",
"value": "",
"signature": "0x01a060c734d7bdf4adde50c4a7e574036b1f8b12890911bdd1c1cfdcd77502381b89fa8a47c36f62a0b9f1cdfee7b260fd8108536db9f6b2089c02637e7de9fc20",
"state": "STATE_CONFIRMED",
"type": "SAFE",
"owner": "0x6e0c80c90ea6c15917308f820eac91ce2724b5b5",
"metadata": "",
"createdAt": "2024-07-14T21:13:08.819782Z",
"updatedAt": "2024-07-14T21:13:46.576639Z"
}
]Get a transaction by ID
Gets a transaction submitted to the Relayer. Poll this endpoint with the transactionID returned from POST /submit to retrieve the onchain transactionHash once the transaction has been broadcast.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Transaction ID
Response
Transaction retrieved successfully
Unique identifier for the transaction
"0190b317-a1d3-7bec-9b91-eeb6dcd3a620"
Onchain transaction hash (available once confirmed)
"0x38cbfbeae8fffa4e2b187ee5978d3ee9cafc53af0363ed90a35b7ea9016535d8"
Ethereum address (0x-prefixed, 40 hex chars)
^0x[a-fA-F0-9]{40}$"0x6e0c80c90ea6c15917308F820Eac91Ce2724B5b5"
Ethereum address (0x-prefixed, 40 hex chars)
^0x[a-fA-F0-9]{40}$"0x6e0c80c90ea6c15917308F820Eac91Ce2724B5b5"
Ethereum address (0x-prefixed, 40 hex chars)
^0x[a-fA-F0-9]{40}$"0x6e0c80c90ea6c15917308F820Eac91Ce2724B5b5"
Encoded transaction data (0x-prefixed hex string)
"0x..."
Transaction nonce
"60"
Transaction value
""
Transaction signature (0x-prefixed hex string)
"0x01a060c734d7bdf4adde50c4a7e574036b1f8b12890911bdd1c1cfdcd77502381b89fa8a47c36f62a0b9f1cdfee7b260fd8108536db9f6b2089c02637e7de9fc20"
Current state of the transaction
STATE_NEW, STATE_EXECUTED, STATE_MINED, STATE_CONFIRMED, STATE_INVALID, STATE_FAILED "STATE_CONFIRMED"
Transaction type
SAFE, PROXY "SAFE"
Ethereum address (0x-prefixed, 40 hex chars)
^0x[a-fA-F0-9]{40}$"0x6e0c80c90ea6c15917308F820Eac91Ce2724B5b5"
Transaction metadata
""
Timestamp when the transaction was created
"2024-07-14T21:13:08.819782Z"
Timestamp when the transaction was last updated
"2024-07-14T21:13:46.576639Z"